Skip to main content
`Ctrl`+`K`
scipy.spatial.Voronoi.

# add_points

Voronoi.add_points(points, restart=False)

  Process a set of additional new points.

  Parameters:
    points ndarray

      New points to add. The dimensionality should match that of the initial points.

    restart bool, optional

      Whether to restart processing from scratch, rather than adding points incrementally.

  Raises:
    QhullError

      Raised when Qhull encounters an error condition, such as geometrical degeneracy when options to resolve are not enabled.

  See also

  `close`

  Notes

  You need to specify `incremental=True` when constructing the object to be able to add points incrementally. Incremental addition of points is also not possible after `close` has been called.